Set deployment template

Auth

Creates or updates a deployment template.

Path parameters

template_id string required

The identifier for the deployment template.

Query parameters

version string

If specified, checks for conflicts against the version of the template (returned in 'x-cloud-resource-version' of the GET request)

create_only boolean · default: false

If true, will fail if the deployment template already exists at the given id

validate_only boolean · default: false

If true, the deployment template definition will be validated but the template will not be updated.

region string required

Region of the deployment template

Request body

The deployment template definition.

name string required

A human readable name for the template.

description string

An optional description for the template.

deployment_template object required

A request for creating a new Deployment consisting of multiple clusters

name string

A name for the deployment; otherwise this will be the generated deployment id

alias string

A user-defined alias to use in place of Cluster IDs for user-friendly URLs

region string

Identifier of the region to be used as the default for all the resources of the deployment

version string

The version for all the resources of the deployment (must be one of the supported versions). Defaults to the latest version if not specified.

system_owned boolean

Whether or not if this is system owned template.

order integer · format: int32

Determines the order in which this template should be returned when listed. Templates are returned in ascending order. If not specified, then the template willbe appended to the end of the list.

hidden boolean

Whether or not the deployment template is hidden by default.

min_version string

Minimum stack version required by this template, if any.

template_category_id string

Provider and version agnostic template identifier used for grouping related template types.

Responses

The deployment definition was valid and the template has been updated.

application/json
id string required

The ID